package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsTicket;
import com.xzzn.ems.domain.vo.TicketListVo;

import java.util.List;

/**
 * 工单主Service接口
 * 
 * @author xzzn
 * @date 2025-06-26
 */
public interface IEmsTicketService 
{
    /**
     * 查询工单主
     * 
     * @param id 工单主主键
     * @return 工单主
     */
    public TicketListVo selectEmsTicketById(String id);

    /**
     * 查询工单主列表
     * 
     * @param emsTicket 工单主
     * @return 工单主集合
     */
    public List<EmsTicket> selectEmsTicketList(EmsTicket emsTicket);

    /**
     * 新增工单主
     * 
     * @param emsTicket 工单主
     * @return 结果
     */
    public int insertEmsTicket(EmsTicket emsTicket);

    /**
     * 修改工单主
     * 
     * @param emsTicket 工单主
     * @return 结果
     */
    public int updateEmsTicket(EmsTicket emsTicket);

    /**
     * 批量删除工单主
     * 
     * @param ids 需要删除的工单主主键集合
     * @return 结果
     */
    public int deleteEmsTicketByIds(String[] ids);

    /**
     * 删除工单主信息
     * 
     * @param id 工单主主键
     * @return 结果
     */
    public int deleteEmsTicketById(String id);

    /**
     * 废弃工单-物理删除
     * @param id
     * @return
     */
    public int dropEmsTicketById(String id);

    /**
     * 获取工单列表 - 根据工单状态获取
     *
     * @param statusList 工单主
     * @return 工单主集合
     */
    public List<TicketListVo> getAllTicketList(Long[] statusList);
}
